/** @file
* PURPOSE: File contains the whole program
* Write,Read and Sort *.csv
* @author Daniel Hasemann
* November 10th, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <string.h>

void write(int[][],char[]);
void read(int[][],char[]);
void sort(int[][]);
int filename(char[]);

/** @brief main program        
    *  
    * Defines vars, writes text in file
    @author Daniel Hasemann
    *November 10th, 2005
    ******************************************/

int main()
{
    int ia[10][10];
    int ib[10][10];
    char file[1000]="C:\\test.txt";
    
    int i;              
    int k;              
    char menue;
    
    for(i=0;i<10;i++)
       {
           for(k=0;k<10;k++)
           {
               ia[i][k] = 0;
           }
       }
    
    do
    {
        clrscr();
    
        printf("<<<FILE WRITE, FILE READ, FILE SORT>>>\n\n\n");
        printf("Select (1) for [WRITE]\n");
        printf("Select (2) for [READ]\n");
        printf("Select (3) for [SORT]\n");
        printf("Select (4) for [FILENAME]\n");
        printf("Select (0) for [END]\n\n");
        
        
        menue=getch();    
        switch(menue)
        {
            case '1':
            write(ia,file);
            break;
            
            case '2':
            read(ib,file);
            break;
        
            case '3':
            sort(ib);
            break;
        
            case '4':
            filename(file);
            break;
            
            case '0':
            menue='0';
            break;
        }
    
    }while(menue!='0');   
    
    system("PAUSE");	
    
    return 0;
}

/** @brief write        
    *  
    * writes data in csv.txt file
    @param ia is an integer array
    @see main()
    @author Daniel Hasemann
    *November 10th, 2005
    ******************************************/
    
void write(int ia[10][10],char file[1000])
{
    int i;
    int k;
            
    clrscr();
    
    FILE *pfile;
    pfile=fopen(file,"w");
    if(!pfile)
    {
        printf("ERROR! Cannot open File [%s]\n\n",file);
    }
    else
    {
        printf("<<<FUNCTION WRITE>>>\n\n");
        printf("Write data in array\n");
        
        for(i=0;i<10;i++)
        {
            for(k=0;k<10;k++)
            {
                ia[i][k]=(1+(int)(100*rand()/(RAND_MAX+1.0)));
            }
        }
        printf(">>Ready\n");
        
        
        printf("Write data in file\n");
        for(i=0;i<10;i++)
        {
            for(k=0;k<10;k++)
            {
                fprintf(pfile,"%d,",ia[i][k]);
            }
        }
        printf(">>Ready\n\n");
        fclose(pfile);
    }

    system("Pause");
}

/** @brief read       
    *  
    * reads data from csv.txt file
    @param ib is an integer array
    @see main()
    @author Daniel Hasemann
    *November 10th, 2005
    ******************************************/
    
void read(int ib[10][10],char file[1000])
{
     FILE *pfile;
     int i=0;
     int k=0;
     
     clrscr();
     
     pfile=fopen(file,"r");
     if(!pfile)
     {
        printf("ERROR! Cannot open File [%s]\n\n",file);
     }
     else
     {  
         printf("<<<FUNCTION READ>>>\n\n");
         printf("Read data from file\n"); 
         
         for(i=0;i<10;i++)
         {
             for(k=0;k<10;k++)
             {      
                 fscanf(pfile,"%d,",(&ib[i][k]));
                 //printf("%d ",ib[i][k]);
      
             }
         } 
     
         printf(">>Ready\n\n");
         fclose(pfile);
     
     }
     
     system("Pause");
}

/** @brief sort       
    *  
    * sorts data from ib[][]
    @param ib is an integer array
    @see main()
    @author Daniel Hasemann
    *November 10th, 2005
    ******************************************/
    
void sort(int ib[10][10])
{
    int ic[10][10];
    int i;
    int k;
    int m;
    int temp;
    
    clrscr();
    
    printf("<<<FUNCTION SORT>>>\n\n");
    printf("Copy array [ic=ib]\n");
    
    for(i=0;i<10;i++)
    {
        for(k=0;k<10;k++)
        {
            ic[i][k]=ib[i][k];
        }
    }      
    
    printf(">>Ready\n");
    printf("Start <BUBBLESORT>\n");
    
    for(i=0;i<10;i++)
    {
        for(m=0;m<9;m++)
        {
            for(k=0;k<9;k++)
            {
                if(ic[i][k]>ic[i][k+1])
                {
                    temp=ic[i][k+1];
                    ic[i][k+1]=ic[i][k];
                    ic[i][k]=temp;
                }
            }
        }
    }                
    
    printf(">>Ready\n\n");        
    system("Pause");
    
    clrscr();
    
    printf("<<<RESULT>>>\n\n");
    printf("Array before <BUBBLESORT>\n");
    
    for(i=0;i<10;i++)
    {
        for(k=0;k<10;k++)
        {
            printf("%d ",ib[i][k]);
        }
        printf("\n");
    }        
    printf("\n>>Ready\n\n");
    system("pause");
    
    clrscr();
    
    printf("<<<RESULT>>>\n\n");
    printf("Array after <BUBBLESORT>\n");
    
    for(i=0;i<10;i++)
    {
        for(k=0;k<10;k++)
        {
            printf("%d ",ic[i][k]);
        }
        printf("\n");
    }
    
    printf("\n>>Ready\n\n");
    system("Pause");
}

/** @brief filename        
    *  
    * defines filename
    @param file is a char array
    @see main()
    @author Daniel Hasemann
    *November 10th, 2005
    ******************************************/
    
int filename(char file[1000])
{   
    char backslash[4]=":\\";
    char laufwerk[2];
    char filename[100];
    char temp[100];
    int ascii;
    
    clrscr();
    
    printf("<<<FUNCTION FILENAME>>>");
    printf("\n\nSelect drive (A),(B),(C),(...),(Z)\n\n"); 
    
    do
    {
        laufwerk[0]=getch();
        if(islower(laufwerk[0]))
        {
            laufwerk[0]=toupper(laufwerk[0]);
        }
        ascii=laufwerk[0];
    }while(ascii<65||ascii>90);        
    
    
    printf("(%s) entered\n\n",laufwerk);
    printf("Please enter filename [*.*]\n%s:\\",laufwerk);
    
    gets(filename);
   
    strcpy(temp,laufwerk);
    strcat(temp,backslash);
    strcat(temp,filename);
    strcpy(file,temp);
    printf(">>Ready\n\n\a");
    system("Pause");
    return(1);
}
