/** @file attack.c
* PURPOSE: file contains the attack function
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief attack        
*
*This file gets the current position of the chessboard where calculate() wants
*to set a queen. It checks horizontally, vertically and diagonally whether there
*a queen. If there is a queen, the programme returns 1 else 0.
*@param *d1 is a struct pointer
*@param ii is an integer 
*@param ik is an integer
*@return 1 or 0
*@see calculate()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

int attack(struct data*d1,int ii,int ik)
{
    int irow;
    int icol;
    
    irow=ii;                                          //reset board position
    icol=ik;                                          //reset board position
    
    for(irow;irow>=0;irow--)                          //lower
    {
        if(d1->iboard[irow][icol])
        {
            return 1;
        }
    }
    irow=ii;                                          //reset board position                                       
    
    while((irow>=0)&&(icol>=0))                       //left lower;
    {
        if(d1->iboard[irow][icol])
        {
            return 1;
        }
        
        irow--;
        icol--;
    }
    irow=ii;                                          //reset board position
    icol=ik;                                          //reset board position
    
    while((irow>=0)&&(icol<d1->iblength))             //right lower;
    {
        if(d1->iboard[irow][icol])
        {
            return 1;
        }
        
        irow--;
        icol++;
    }
    
    return 0;
}
