/** @file clrbox.c
* PURPOSE: file deletes right or left field in box
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief clrbox        
*  
*This function can delete the left or right part of the screen. The sub menu
*options() will appear on the left side and the chessboard will appear on the
*right side. After using clrbox will delete them from screen.
*@param ibox is an integer
*@see menu()
*@see options()
*@see filename()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

void clrbox(int ibox)
{    
    int ii;
    int ij;


    if(!ibox)                                         //clear left box
    {
        for(ij=4;ij<=20;ij++)
        {
            for(ii=2;ii<=39;ii++)
            {
                gotoxy(ii,ij);
                printf(" ");
            }
        }
    }
    else                                              //clear right box
    {
        for(ij=4;ij<=20;ij++)
        {
            for(ii=41;ii<=79;ii++)
            {
                gotoxy(ii,ij);
                printf(" ");
            }
        }
    }
}
