/** @file box.c
*PURPOSE: file creates a box
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief box     
*  
*This function prints a box around the console 
*and creates a status bar and a menu bar.
*@see main()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

void box()
{
    int ii;
    
    clrscr();
    
    textcolor(C_BOX);
    
    for(ii=0;ii<=77;ii++)                             //loop for horizontal lines
    {    
        gotoxy(ii+2,1);
        printf("%c",205);                             //upper double line
        gotoxy(ii+2,25);
        printf("%c",205);                             //lower double line
        gotoxy(ii+2,3);
        printf("%c",205);                             //upper middle double line
        gotoxy(ii+2,23);
        printf("%c",196);                             //lower single line                            
        gotoxy(ii+2,21);
        printf("%c",205);                             //lower middle double line
    }
    
    for(ii=2;ii<=24;ii++)                             //loop for vertical lines
    {    
        gotoxy(1,ii);
        printf("%c",186);                             //left double line
        gotoxy(80,ii);
        printf("%c",186);                             //right double line
    }   
    
    for(ii=4;ii<=20;ii++)                             //loop for vertical line
    {
        gotoxy(40,ii);
        printf("%c",179);                             //middle single line
    }    
    
    gotoxy(1,1);
    printf("%c",201);                                 //left upper corner
    gotoxy(80,1);                                     
    printf("%c",187);                                 //right upper corner
    gotoxy(1,25);
    printf("%c",200);                                 //left lower corner
    gotoxy(80,25);
    printf("%c",188);                                 //right lower corner
    
    gotoxy(1,3);
    printf("%c",204);                                 //left upper double sign
    gotoxy(1,21);
    printf("%c",204);                                 //left lower double sign
    
    gotoxy(80,3);                                     
    printf("%c",185);                                 //right upper double sign
    gotoxy(80,21);
    printf("%c",185);                                 //right lower double sign
    
    gotoxy(20,2);                                     //vertical signes
    printf("%c",179);                                 //upper left single sign
    gotoxy(40,2);
    printf("%c",179);                                 //upper middle single sign
    gotoxy(60,2);
    printf("%c",179);                                 //upper right single sign
    
    gotoxy(27,22);                                    //vertical signs
    printf("%c",179);                                 //middle left single sign
    gotoxy(53,22);
    printf("%c",179);                                 //middle right single sign
    gotoxy(27,24);
    printf("%c",179);                                 //lower left single sign
    gotoxy(53,24);
    printf("%c",179);                                 //lower right single sign
    
    gotoxy(1,1);
    //printf("\a");                                     //beep
}
