/** @file filename.c
* PURPOSE: file contains filename
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief filename
*  
*In this file you can choose the HDD and then you can enter a new filename with
*13 signs.This programme dont accept invalid signes. When you press enter the
*function only accept a filename >0 signes else default name "..\ndame.txt" will
*not be changed.
*@param *d1 is a struct pointer
*@see options()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

void filename(struct data*d1)
{   
    char cbackslash[4]=":\\";
    char cdrive[2];
    char ccfilename[100]="ndame.txt";
    char ctemp[100];
    char cinput;
    int iascii;
    int icount=0;
    
    textcolor(C_REST);
    gotoxy(2,5);
    printf("Select drive (A),(B),(C),(...),(Z)"); 
    
    do                                                //select HDD
    {
        cdrive[0]=getch();
        if(islower(cdrive[0]))
        {
            cdrive[0]=toupper(cdrive[0]);             //programme makes no difference
        }                                             //between small or big letters
        iascii=cdrive[0];
    }while(iascii<65||iascii>90);        
    
    
    gotoxy(2,7);
    printf("(%s) entered",cdrive);
    gotoxy(2,9);
    printf("Please enter filename [*.*]");
    gotoxy(2,11);
    printf("%s:\\",cdrive);
    
    gotoxy(5,11);
    
    do                                                //filename input
    {                                                 //not all signs are valid
        cinput=getch();
        if((cinput>=48&&cinput<=57)||(cinput>=65&&cinput<=90)||(cinput>=97&&cinput<=122)||cinput==46||cinput==13||cinput==8||cinput==95||cinput==92)
        {
             if((strlen(ccfilename)<17)&&(cinput!=8)&&(cinput!=13))
             {
                 putch(cinput);
                 ccfilename[icount]=cinput;
                 ccfilename[icount+1]=0;
                 icount++;
             }
             
             if(cinput==8)                            //8=backspace
             {
                 icount=0;
                 sprintf(ccfilename,"%s","ndame.txt");             //default name
                 gotoxy(5,11);
                 printf("                                   ");
                 gotoxy(5,11);
             } 
        }
    
    }while(cinput!=13);                               //pressing enter the filename is accepted
   
    strcpy(ctemp,cdrive);                             //all parts become one filename
    strcat(ctemp,cbackslash);
    strcat(ctemp,ccfilename);
    strcpy(d1->cfilename,ctemp);                      //filename copied in struct
    
    //printf("\n%s",d1->cfilename);
    //getch();
    
    clrbox(0);
    state(d1,4);
}
