/** @file main.c
* PURPOSE: file contains main function
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief main
*  
*This function sets standart default values and calls box, state and menu.
*By calling state(d1,0) default state will be loaded. 
*@return 0
*@author Daniel Hasemann
*@date December 16th, 2005
****************************************/

int main()
{
    int imenu;                                        
    struct data d1;
                                                      //default values
    d1.m1=automatic; 
    d1.iblength=8;
    d1.isolutions=0;
    d1.istep=0;
    d1.isave=0;
    d1.iauthor=0;
    d1.fcalctime=0;
    sprintf(d1.cfilename,"%s","C:\\ndame.txt");
    
    box();	
    state(&d1,0); 
    do                                                //menue is looped
    {
        imenu=menu(&d1);
    }while(imenu);
    
    clrscr();
    return 0;
}
