/** @file options.c
* PURPOSE: file contains a sub menu to change settings
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief options        
*
*Options is a sub menu where you can change the default values like boardlength,
*filename,save(jes,no),singlestep(jes no) and exit options . When you restart
*the programme settings will not be saved.
*@param *d1 is a struct pointer
*@see menu()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

void options(struct data*d1)
{
    char cselect;
    
    clrbox(1);
    chessboard(d1);
    textcolor(C_REST);
    do
    {
                                                      //select one
        gotoxy(2,5);
        printf("(1) - Bordersize");
        gotoxy(2,6);
        printf("(2) - Singlestep");
        gotoxy(2,7);
        printf("(3) - Save");
        gotoxy(2,8);
        printf("(4) - Filename");
        gotoxy(2,10);
        printf("(5) - Exit Options");

        cselect=getch();
        switch(cselect)
        {
            case '1':
                if(d1->iblength<MAX_SIZE)
                {
                    d1->iblength++;                   //increment bordlengh
                }
                else
                {
                    d1->iblength=MIN_SIZE;            //set boardlength to MIN_SIZE
                }
                if(d1->iblength==MIN_SIZE)
                {
                    clrbox(1);
                }
                chessboard(d1);
                state(d1,1);                          //refresh status
                break;    
            
            case '2':                                 //Singlestep
                if(d1->m1==automatic)
                {
                    d1->m1=manual;
                }
                else
                {
                    d1->m1=automatic;
                } 
                state(d1,2);                          //refresh status
                break;                 
                
            case '3':
                 if(d1->isave==0)
                 {
                     d1->isave=1;                     //1 means save = yes
                 }
                 else
                 {
                     d1->isave=0;                     //0 means save = no
                 }                 
                 state(d1,3);                         //refresh status
                 break;
            
            case '4':
                 clrbox(0);
                 filename(d1);
                 break;
            
            case 'e':
                 exit(1);                             //exit the whole programme
                 break;
        }
    
    }while(cselect!='5');                             //options exit
    
    clrbox(0);
    clrbox(1);
}
