/** @file psolution.c
* PURPOSE: file prints solutions on screen
* 
* @author Daniel Hasemann
* @version 1.0
* @date December 16th, 2005
*************************************************/

#include "ndame.h"

/** @brief psolution
*
*This file prints the solutions on screen if singlestep is activated. You can
*change the queen ascii and the position in the file header "ndame.h".
*@param *d1 is a struct pointer
*@see calculate()
*@author Daniel Hasemann
*@date December 16th, 2005
***************************************/

void psolution(struct data*d1)
{
    int ik;
    int ii;
    
    textcolor(C_QUEEN);
    for(ii=0;ii<d1->iblength;ii++)
    {
        for(ik=0;ik<d1->iblength;ik++)
        {                              
            gotoxy(X_POS+ik,Y_POS+ii);
            if(d1->iboard[ii][ik])
            {
                printf("%c",QUEEN);                   //prints solution on screen
            }
        }
    }
    textcolor(C_REST);
}
